<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-post-heading" jhiTranslate="simpleBlogApp.post.home.createOrEditLabel">Create or edit a Post</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" >
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="post.id"  />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="simpleBlogApp.post.titile" for="field_titile">Titile</label>
                    <input type="text" class="form-control" name="titile" id="field_titile"
                        [(ngModel)]="post.titile" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="simpleBlogApp.post.content" for="field_content">Content</label>
                    <input type="text" class="form-control" name="content" id="field_content"
                        [(ngModel)]="post.content" />
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
